: Class BaseObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class BaseObject

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PageMark, PjObject

public abstract class BaseObject
extends java.lang.Object
implements java.lang.Cloneable

The base class for all high level objects and page markings.

Constructor Summary
`BaseObject()`

Method Summary
`abstract java.lang.Object` | `clone()` Returns a deep copy of this object.
`java.lang.String` | `toString()` Returns a string representation of this object in PDF format.
`static long` | `write(java.io.OutputStream os, byte[] b)` Writes a byte[] to a stream.
`static long` | `write(java.io.OutputStream os, char c)` Writes a char to a stream.
`static long` | `write(java.io.OutputStream os, java.lang.Object obj)` Writes an Object to a stream.
`static long` | `writeln(java.io.OutputStream os, java.lang.Object obj)` Writes an Object to a stream followed by a carriage return.
`abstract long` | `writePdf(java.io.OutputStream os)` Writes this object to a file in PDF format.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseObject

    public BaseObject()

Method Detail

### clone

    public abstract java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

### writePdf

    public abstract long writePdf(java.io.OutputStream os)
                           throws java.io.IOException

  Writes this object to a file in PDF format.
  Parameters:
    `raf` - the file to write to.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public static long write(java.io.OutputStream os,
                             char c)
                      throws java.io.IOException

  Writes a char to a stream.
  Parameters:
    `os` - the stream to write to.
    `c` - the character to write.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public static long write(java.io.OutputStream os,
                             byte[] b)
                      throws java.io.IOException

  Writes a byte[] to a stream.
  Parameters:
    `os` - the stream to write to.
    `b` - the byte[] to write.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### write

    public static long write(java.io.OutputStream os,
                             java.lang.Object obj)
                      throws java.io.IOException

  Writes an Object to a stream.
  Parameters:
    `os` - the stream to write to.
    `obj` - the Object to write.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### writeln

    public static long writeln(java.io.OutputStream os,
                               java.lang.Object obj)
                        throws java.io.IOException

  Writes an Object to a stream followed by a carriage return.
  Parameters:
    `os` - the stream to write to.
    `obj` - the Object to write.
  Returns:
    the number of bytes written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

### toString

    public java.lang.String toString()

  Returns a string representation of this object in PDF format.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD